#
# spec file for package tinyxml2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define so_version 6
%define lib_package lib%{name}-%{so_version}
Name:           tinyxml2
Version:        6.0.0
Release:        lp150.1.3
Summary:        Basic XML parser in C++
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            https://github.com/leethomason/tinyxml2
Source:         https://github.com/leethomason/tinyxml2/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
TinyXML is a feature-bounded XML parser in C++ that can be integrated
into other programs.

TinyXML-2 does not parse or use DTDs (Document Type Definitions) or
XSLs (eXtensible Stylesheet Language). There are other parsers (with
different footprints) to do such.

%package -n     %{lib_package}
Summary:        Basic XML parser in C++
License:        Zlib
Group:          System/Libraries

%description -n %{lib_package}
TinyXML is a feature-bounded XML parser in C++ that can be integrated
into other programs.

TinyXML-2 does not parse or use DTDs (Document Type Definitions) or
XSLs (eXtensible Stylesheet Language). There are other parsers (with
different footprints) to do such.

%package        devel
Summary:        Development files for libtinyxml2
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{lib_package} = %{version}

%description    devel
Contains libraries and header files for
developing applications that use libtinyxml2.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
find %{buildroot} -type f -name "*.la" -delete -print
# /usr/lib/cmake is not owned by cmake; avoid any further conflicts
if [ ! -d "%{buildroot}/%{_libdir}/cmake/%{name}" ]; then
mkdir -p %{buildroot}/%{_libdir}/cmake/%{name}
mv %{buildroot}%{_libexecdir}/cmake/tinyxml2 %{buildroot}/%{_libdir}/cmake/%{name}
fi

%check
make %{?_smp_mflags} test

%post -n %{lib_package} -p /sbin/ldconfig
%postun -n %{lib_package} -p /sbin/ldconfig

%files -n %{lib_package}
%defattr(-,root,root)
%doc readme.md
%{_libdir}/libtinyxml2.so.%{so_version}*

%files devel
%defattr(-,root,root)
%{_includedir}/tinyxml2.h
%{_libdir}/libtinyxml2.so
%{_libdir}/pkgconfig/tinyxml2.pc
%{_libdir}/cmake/tinyxml2

%changelog
* Fri Dec 29 2017 jengelh@inai.de
- Remove rhetoric write style from description.
  Expand description on the features/limits of tinyxml.
* Mon Dec 25 2017 p.drouand@gmail.com
- Update to version 6.0.0
  + No changelog available
* Tue Jul 12 2016 mpluskal@suse.com
- Cleanup spec file
  * run spec-cleaner
  * drop not needed dependencies (libtool and doxygen)
  * execute tests during build
  * use pretty name for tarball
* Tue Apr  7 2015 jengelh@inai.de
- Require pkg-config for pkgconfig() symbols to be generated.
- Drop suggestion for non-existant %%name-docs subpackage.
* Mon Apr  6 2015 p.drouand@gmail.com
- Initial release (version 3.0.0)
